# class Bundler::Fetcher::CertificateFailureError

This is the error raised if `OpenSSL` fails the cert verification

### Public Class Methods

new(remote_uri) click to toggle source
Calls superclass method `Exception::new`

    # File lib/bundler/fetcher.rb, line 22
    def initialize(remote_uri)
      remote_uri = filter_uri(remote_uri)
      super "Could not verify the SSL certificate for #{remote_uri}.\nThere" \
        " is a chance you are experiencing a man-in-the-middle attack, but" \
        " most likely your system doesn't have the CA certificates needed" \
        " for verification. For information about OpenSSL certificates, see" \
        " http://bit.ly/ruby-ssl. To connect without using SSL, edit your Gemfile" \
        " sources and change 'https' to 'http'."
    end